export declare class Node<K, V> {
    map: Map<K, Node<K, V>>;
    value: V | null;
    wildcardMap?: Map<K, Node<K, V>>;
}
export declare type PayloadType = Record<string, unknown>;
export default class Trie<K, V> {
    #private;
    logging: boolean;
    set(keys: K[], val: V): void;
    getWithPayload(keys: K[]): [V | undefined | null, PayloadType | undefined];
    get(keys: K[]): V | undefined | null;
    private getWithPayloadCore;
    protected isKeyWildcard(_key: K): boolean;
    protected getWildcardPayload(_key: K, _wildcardName: K, _wildcardValue: V | null): PayloadType | undefined;
    private checkKeys;
    private log;
    private logWithKey;
    private resultValue;
}
